import * as React from 'react';
import { getSlots } from '@fluentui/react-utilities';
import type { FieldControl, FieldSlots, FieldState } from './Field.types';

/**
 * Render the final JSX of Field
 */
export const renderField_unstable = <T extends FieldControl>(state: FieldState<T>) => {
  const { slots, slotProps } = getSlots<FieldSlots<FieldControl>>(state as FieldState<FieldControl>);

  return (
    <slots.root {...slotProps.root}>
      {slots.label && <slots.label {...slotProps.label} />}
      {/* eslint-disable-next-line @typescript-eslint/no-explicit-any */}
      {slots.control && <slots.control {...(slotProps.control as any)} />}
      {slots.validationMessage && slots.validationMessageIcon && (
        <slots.validationMessageIcon {...slotProps.validationMessageIcon} />
      )}
      {slots.validationMessage && <slots.validationMessage {...slotProps.validationMessage} />}
      {slots.hint && <slots.hint {...slotProps.hint} />}
    </slots.root>
  );
};
